Member Junction
    Preparing search index...

    Options for controlling navigation behavior

    interface NavigationOptions {
        focusTab?: boolean;
        forceNewTab?: boolean;
        newRecordValues?: Record<string, unknown>;
        pinTab?: boolean;
        queryParams?: Record<string, string | null>;
        replaceActive?: boolean;
    }
    Index

    Properties

    focusTab?: boolean

    Focus the tab after creation (default: true)

    forceNewTab?: boolean

    Force creation of a new tab instead of replacing temporary tabs If not specified, the NavigationService will use global shift-key detection

    newRecordValues?: Record<string, unknown>

    Initial values to populate when creating a new record. Should be a plain object with field names as keys.

    pinTab?: boolean

    Create the tab as a pinned (permanent) tab

    queryParams?: Record<string, string | null>

    URL query parameters to set on the tab after navigation. Use null values to remove a query param.

    replaceActive?: boolean

    Replace the currently active tab instead of creating a new one